## org.eclipse.emf.ant.taskdefs
Class EMFTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.eclipse.emf.ant.taskdefs.EMFTask

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  GeneratorTask, JETTask, JMergerTask

    public abstract class EMFTask

extends org.apache.tools.ant.Task

Base class for the tasks that are defined in this plugin. Provides common behavior and facilities.

Since:
  2.1.0

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`EMFTask()`

Method Summary
`static void` `assertTrue(java.lang.String message, boolean expression)` Throws a `BuildException` if `expression` is false.
`protected void` `checkAttributes()` All the attribute checks should be performed in this method.
`protected abstract void` `doExecute()` Performs the task specific code.
`void` `execute()`
`protected IProgressMonitor` `getProgressMonitor()`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFTask

    public EMFTask()

Method Detail

### assertTrue

    public static void assertTrue(java.lang.String message,
                                  boolean expression)
                           throws org.apache.tools.ant.BuildException

  Throws a `BuildException` if `expression` is false.

  Parameters:
    `message` -
    `expression` -
  Throws:
    `org.apache.tools.ant.BuildException`

### getProgressMonitor

    protected IProgressMonitor getProgressMonitor()

### execute

    public final void execute()
                       throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### checkAttributes

    protected void checkAttributes()
                            throws org.apache.tools.ant.BuildException

  All the attribute checks should be performed in this method.

  Throws:
    `org.apache.tools.ant.BuildException`

### doExecute

    protected abstract void doExecute()
                               throws java.lang.Exception

  Performs the task specific code.

  Throws:
    `java.lang.Exception`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.